{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "transcriptic",
                "launch",
                "CountCells"
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "-b"
                    },
                    "id": "#count_cells.cwl/decision"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#count_cells.cwl/ref"
                }
            ],
            "id": "#count_cells.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#count_cells.cwl/count_cells_dataset"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "transcriptic",
                "launch",
                "DiluteCells"
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#dilute_cells.cwl/decision"
                }
            ],
            "outputs": [],
            "id": "#dilute_cells.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python",
                "threshold_decision.py"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#threshold_decision.cwl/cell_count"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#threshold_decision.cwl/threshold"
                }
            ],
            "outputs": [
                {
                    "type": "boolean",
                    "doc": "decision variable",
                    "id": "#threshold_decision.cwl/dilute_decision"
                }
            ],
            "id": "#threshold_decision.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/ref"
                },
                {
                    "type": "int",
                    "id": "#main/threshold"
                }
            ],
            "outputs": [],
            "steps": [
                {
                    "run": "#count_cells.cwl",
                    "in": [
                        {
                            "source": "#main/ref",
                            "id": "#main/count_cells/ref"
                        }
                    ],
                    "out": [
                        "#main/count_cells/count_cells_dataset"
                    ],
                    "id": "#main/count_cells"
                },
                {
                    "run": "#count_cells.cwl",
                    "in": [
                        {
                            "source": "#main/threshold_decision/dilute_decision",
                            "id": "#main/count_cells_maybe/decision"
                        },
                        {
                            "source": "#main/ref",
                            "id": "#main/count_cells_maybe/ref"
                        }
                    ],
                    "out": [
                        "#main/count_cells_maybe/count_cells_dataset"
                    ],
                    "id": "#main/count_cells_maybe"
                },
                {
                    "run": "#dilute_cells.cwl",
                    "in": [
                        {
                            "source": "#main/threshold_decision/dilute_decision",
                            "id": "#main/dilute_cells/decision"
                        }
                    ],
                    "out": [],
                    "id": "#main/dilute_cells"
                },
                {
                    "run": "#dilute_cells.cwl",
                    "in": [
                        {
                            "source": "#main/threshold_decision_2/dilute_decision",
                            "id": "#main/dilute_cells_2/decision"
                        }
                    ],
                    "out": [],
                    "id": "#main/dilute_cells_2"
                },
                {
                    "run": "#threshold_decision.cwl",
                    "in": [
                        {
                            "source": "#main/count_cells/count_cells_dataset",
                            "id": "#main/threshold_decision/cell_count"
                        },
                        {
                            "source": "#main/threshold",
                            "id": "#main/threshold_decision/threshold"
                        }
                    ],
                    "out": [
                        "#main/threshold_decision/dilute_decision"
                    ],
                    "id": "#main/threshold_decision"
                },
                {
                    "run": "#threshold_decision.cwl",
                    "in": [
                        {
                            "source": "#main/count_cells_maybe/count_cells_dataset",
                            "id": "#main/threshold_decision_2/cell_count"
                        },
                        {
                            "source": "#main/threshold",
                            "id": "#main/threshold_decision_2/threshold"
                        }
                    ],
                    "out": [
                        "#main/threshold_decision_2/dilute_decision"
                    ],
                    "id": "#main/threshold_decision_2"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.1"
}
